using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using WeifenLuo.WinFormsUI.Docking;

namespace Jbe.CABExtension.SmartPartInfos
{
    public class FloatingShowStrategy : IShowStrategy
    {
        private Rectangle floatWindowBounds;

        public Rectangle FloatWindowBounds
        {
            get { return floatWindowBounds; }
            set { floatWindowBounds = value; }
        }

        public FloatingShowStrategy(Rectangle floatWindowBounds)
        {
            this.floatWindowBounds = floatWindowBounds;
        }

        void IShowStrategy.Show(IDockPanelWorkspace workspace, IDockContent content)
        {
            content.DockHandler.Show(workspace.DockPanel, FloatWindowBounds);
        }
    }
}
