using System;
using System.Collections.Generic;
using System.Text;
using Jbe.TestSuite.Infrastructure.Interface.Services;
using Microsoft.Practices.CompositeUI;

namespace Jbe.TestSuite.Infrastructure.Shell.Services
{
    public class ShowAboutViewService : IShowAboutView
    {
        private WorkItem workItem;

        [ServiceDependency]
        public WorkItem WorkItem
        {
            set { workItem = value; }
        }

        public void ShowAboutView()
        {
            AboutForm aboutForm = workItem.SmartParts.AddNew<AboutForm>();
            aboutForm.ShowDialog();
            workItem.SmartParts.Remove(aboutForm);
        }
    }
}
