using System;
using System.Windows.Forms;
using Jbe.TestSuite.Infrastructure.Interface;
using Microsoft.Practices.CompositeUI;
using Microsoft.Practices.CompositeUI.Commands;
using Jbe.TestSuite.TestDevice.FunctionGen.ControlView.Services;
using Jbe.TestSuite.TestDevice.Manager.Interface.Services;
using Jbe.TestSuite.TestDevice.FunctionGen.Interface.Constants;

namespace Jbe.TestSuite.TestDevice.FunctionGen.ControlView
{
    public class ModuleController : WorkItemController
    {
        private ITestDeviceManager testDeviceManager;

        [ServiceDependency]
        public ITestDeviceManager TestDeviceManager
        {
            set { testDeviceManager = value; }
        }

        public override void Run()
        {
            testDeviceManager.Register(new FGenControlViewFactory());
        }
    }
}
