using System;
using System.Windows.Threading;
namespace Jbe.TestSuite.TestDevice.SignalVisualizer.Views
{
    public interface IVisualizerView
    {
        /// <summary>
        /// Add a sample value to the view. This method is thread safe.
        /// </summary>
        /// <param name="device">The device sending the sample value.</param>
        /// <param name="amplitude">The amplitude of the sample.</param>
        /// <param name="relativeTime">The relative time of the sample.</param>
        void AddSample(object device, double amplitude, double relativeTime);
    }
}

