using System;
using System.Collections.Generic;
using System.Text;
using WeifenLuo.WinFormsUI.Docking;
using System.Windows.Forms;
using Microsoft.Practices.CompositeUI.SmartParts;
using System.Collections.ObjectModel;
using Microsoft.Practices.CompositeUI;
using System.Diagnostics;
using System.Drawing;
using Microsoft.Practices.CompositeUI.WPF;
using System.ComponentModel;
using Jbe.CABExtension.SmartPartInfos;
using Jbe.CABExtension.WinForms.Workspaces;

namespace Jbe.CABExtension.WPF.Workspaces
{
    /// <summary>
    /// Extends the DockPanelWorkspace class with the support for hosting of WPF controls.
    /// </summary>
    public class DockPanelWorkspace : Jbe.CABExtension.WinForms.Workspaces.DockPanelWorkspace
    {
        private ElementHostWorkspaceComposerAdapter<Control, DockPanelSmartPartInfo> composer;

        [ServiceDependency]
        public IWPFUIElementAdapter WPFUIElementAdapter
        {
            set { composer.WPFUIElementAdapter = value; }
        }

        protected override IWorkspaceComposer<Control> CreateWorkspaceComposer()
        {
            composer = new ElementHostWorkspaceComposerAdapter<Control, DockPanelSmartPartInfo>(this);
            return composer;
        }
    }
}
