using System;
using Microsoft.Practices.CompositeUI.WPF;
using Jbe.CABExtension.WinForms.Workspaces;
using Microsoft.Practices.CompositeUI.SmartParts;

namespace Jbe.CABExtension.WPF.Workspaces
{
    public class ElementHostWorkspaceComposerAdapter<TSmartPart, TSmartPartInfo> : ElementHostWorkspaceComposer<TSmartPart, TSmartPartInfo>, IWorkspaceComposer<TSmartPart>
        where TSmartPartInfo : ISmartPartInfo, new()
    {
        public ElementHostWorkspaceComposerAdapter(IComposableWorkspace<TSmartPart, TSmartPartInfo> composedWorkspace)
            : base(composedWorkspace)
        {
        }
    }
}
