using System;
using System.Collections.Generic;
using System.Text;
using Microsoft.Practices.CompositeUI.WinForms.UIElements;
using System.Windows.Forms;

namespace Jbe.TestSuite.Infrastructure.Layout.UIElements
{
    /// <summary>
    /// This class represents a ToolStripItemCollectionUIAdapter, which inserts all UI elements at the first place.
    /// </summary>
    public class InverseToolStripItemCollectionUIAdapter : ToolStripItemCollectionUIAdapter
    {
        public InverseToolStripItemCollectionUIAdapter(ToolStripItemCollection collection) : base(collection)
		{
		}

        protected override int GetInsertingIndex(object uiElement)
        {
            return 0;
        }
    }
}
