using System;
using Microsoft.Practices.CompositeUI.SmartParts;
using Microsoft.Practices.ObjectBuilder;
using Jbe.TestSuite.Infrastructure.Interface;

namespace Jbe.TestSuite.TestDevice.FunctionGen.ControlView.Views
{
    [SmartPart]
    public partial class FunctionGenView
    {
        /// <summary>
        /// Sets the presenter. The dependency injection system will automatically
        /// create a new presenter for you.
        /// </summary>
        [CreateNew]
        public FunctionGenViewPresenter Presenter
        {
            set
            {
                presenter = value;
                presenter.View = this;
            }
        }

    }
}

