using System;
using System.Collections.Generic;
using System.Text;
using Jbe.TestSuite.TestDevice.Manager.Interface.Services;

namespace Jbe.TestSuite.TestDevice.Manager.Tests.Mocks
{
    public class MockDeviceController : IControlView
    {
        public const string ProfileName = "TestProfile";
        public const string NameConst = "ControllerName";

        public bool Shown = false;
        public bool Closed = false;

        private IDevice device;
        private string name = NameConst;

        public IDevice Device
        {
            get { return device; }
            set { device = value; }
        }

        public string Name
        {
            get { return name; }
            set { name = value; }
        }

        public void Show()
        {
            Shown = true;
        }

        public void Close()
        {
            Closed = true;
        }
    }
}
