using Microsoft.VisualStudio.TestTools.UnitTesting;
using System;
using System.Text;
using System.Collections.Generic;
using Microsoft.Practices.CompositeUI;
using Jbe.TestSuite.Infrastructure.Interface;
using System.Collections;
using Jbe.TestSuite.TestDevice.Manager;
using Jbe.CABExtension.UnitTest;
using Jbe.CABExtension.UnitTest.Mocks;
using Microsoft.Practices.CompositeUI.UIElements;
using Jbe.TestSuite.TestDevice.Manager.Constants;
using Microsoft.Practices.CompositeUI.Commands;
using Microsoft.Practices.CompositeUI.WinForms;
using System.Windows.Forms;

namespace Jbe.TestSuite.TestDevice.Manager.Tests
{
    /// <summary>
    /// Summary description for ModuleTestFixture
    /// </summary>
    [TestClass]
    public class ModuleTestFixture : FixtureBase
    {
        [TestMethod]
        public void ModuleLoad()
        {
            Module module = new Module(rootWorkItem);
            module.Load();

            // Check if only one WorkItem is controlled by ModuleController
            ICollection<ControlledWorkItem<ModuleController>> workItems =
                rootWorkItem.WorkItems.FindByType<ControlledWorkItem<ModuleController>>();
            Assert.AreEqual(1, workItems.Count, "WorkItems");
        }
    }
}
